### Type parameters

### Hierarchy

- Stroke

## Index

### Properties

- color
- lineCap
- lineDash
- lineDashOffset
- lineJoin
- miterLimit
- width

## Properties

### color

color: string | number[]

- Defined in src/options.js:39

The color.

### lineCap

lineCap: CanvasLineCap

- Defined in src/options.js:40

Line cap style: `butt`, `round`, or `square`.

### lineDash

lineDash: number[]

- Defined in src/options.js:42

Line dash pattern. Default is `null` (no dash). Please note that Internet Explorer 10 and lower do not support the `setLineDash` method on the `CanvasRenderingContext2D` and therefore this option will have no visual effect in these browsers.

### lineDashOffset

lineDashOffset: number

- Defined in src/options.js:45

Line dash offset.

### lineJoin

lineJoin: CanvasLineJoin

- Defined in src/options.js:41

Line join style: `bevel`, `round`, or `miter`.

### miterLimit

miterLimit: number

- Defined in src/options.js:46

Miter limit.

### width

width: number

- Defined in src/options.js:47

Width.

Generated using TypeDoc